JobSub - Feature #6552

jobsub_fetchlog should extract the logs without creating intermediate tar file

06/25/2014 01:12 PM - Parag Mhashilkar

Status: Rejected Start date: 06/25/2014
Priority: Normal Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v1.3.2 Spent time: 0.00 hour
Stakeholders: FIFE

Description

Currently, fetchlog downloads the tar/zip file from the server, extracts the contents and then deletes the tar/zip file. As per Art, the
stdout/err can get really big and disk space can be an issue. Investigate options to directly stream the curl output into unzip/untar
libraries so that everything happens in the memory. If such options are feasible, implementation should be hopefully straightforward.

History

#1 - 07/15/2014 02:32 PM - Parag Mhashilkar

- Target version changed from v0.4 to v1.0

#2 - 08/13/2014 03:14 PM - Parag Mhashilkar

- Target version deleted (v1.0)

#3 - 12/19/2014 12:38 PM - Parag Mhashilkar

- Target version set to v1.2

#4 - 12/22/2014 12:05 PM - Dennis Box

- Status changed from New to Assigned

#5 - 02/02/2016 07:07 AM - Dennis Box

- Target version changed from v1.2 to v1.3

#6 - 05/16/2019 04:46 PM - Dennis Box

- Target version changed from v1.3 to v1.3.2

#7 - 02/27/2020 03:14 PM - Dennis Box

- Status changed from Assigned to Rejected
